# SubCreator (SubServers.Host)

net.ME1312.SubServers.Host.Executable

## Class SubCreator

- java.lang.Object
- - net.ME1312.SubServers.Host.Executable.SubCreator

    public class SubCreator
    extends java.lang.Object

Internal SubCreator Class

### Nested Class Summary

Nested Classes
`static class` `SubCreator.ServerType`

### Constructor Summary

Constructors
Constructor and Description
`SubCreator(SubServers host)` Creates a SubCreator Instance

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `create(java.lang.String name, SubCreator.ServerType type, Version version, int memory, int port, java.util.UUID address, java.lang.String id)`
`SubLogger` `getLogger()`
`boolean` `isBusy()`
`void` `terminate()`
`void` `waitFor()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubCreator

    public SubCreator(SubServers host)

Creates a SubCreator Instance

Parameters:
  `host` - SubServers.Host

### Method Detail

#### create

    public boolean create(java.lang.String name,
                          SubCreator.ServerType type,
                          Version version,
                          int memory,
                          int port,
                          java.util.UUID address,
                          java.lang.String id)

#### terminate

    public void terminate()

#### waitFor

    public void waitFor()
                 throws java.lang.InterruptedException

Throws:
  `java.lang.InterruptedException`

#### getLogger

    public SubLogger getLogger()

#### isBusy

    public boolean isBusy()